Subject: Re: Version string
From: [email-masked] (Hans)
Date: 6 Apr 1994 19:40:05 GMT
Newsgroups: comp.sys.amiga.programmer

In article <[email-masked]> [email-masked] (James Cooper) writes:
>
>In article <[email-masked]>, [email-masked] (Janne Siren) writes:
>>Can I have space in the program name in the $VER: version string? This
>>worls but what does the style guide say about it:
>>
>>My Program v1.00 Beta (...date...)
>>
>>Should I use '_' instead of space in the name and version number?
>
>The Style Guide does not say one way or the other, but other documentation
>I have seen states that you should NOT have spaces in the $VER: string,
>other than to separate the fields.

How about using the (often overlooked) NBSP or Non Breaking Space
character, which will print as space but not be regarded as a space by
the VERSION command.  I believe it's code is 0xa0, so just make the
string "My\0xa0Program v1.00..."

>Jim Cooper

-hans
-- 
  Hans-Gabriel Ridder <[email-masked]>
  DECwest Engineering, Bellevue, Washington, USA
  "I'd rather be writing MACRO-20!"
  Any opinions expressed are not those of my employer, honest.